package com.interplug.qcast.biz.canvasBasicSetting;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.interplug.qcast.biz.canvasBasicSetting.dto.CanvasBasicSettingInfo;
import com.interplug.qcast.biz.canvasBasicSetting.dto.CanvasBasicSettingResponse;
import com.interplug.qcast.biz.canvasBasicSetting.dto.RoofAllocationInfo;
import com.interplug.qcast.biz.canvasBasicSetting.dto.RoofMaterialsAddInfo;

@Mapper
public interface CanvasBasicSettingMapper {
	
	// Canvas Basic Setting 유무 조회
		public CanvasBasicSettingInfo getCanvasBasicSettingCnt(String objectNo, Integer planNo);
		
		// Canvas Basic Setting 조회(objectNo)
		public List<CanvasBasicSettingResponse> selectCanvasBasicSetting(String objectNo, Integer planNo);
		
		// Canvas Basic Setting 등록
		public void insertCanvasBasicSetting(CanvasBasicSettingInfo csi);
		
		// Canvas Basic Setting 수정
		public void updateCanvasBasicSetting(CanvasBasicSettingInfo csi);
		
		// Canvas Basic Setting 삭제
		public void deleteCanvasBasicSetting(String objectNo, Integer planNo);
		
		// Canvas 지붕재추가 Setting 유무 조회
		public RoofMaterialsAddInfo getRoofMaterialsCnt(String objectNo, Integer planNo);
		
		// Canvas 지붕재추가 Setting 등록
		public void insertRoofMaterialsAdd(RoofMaterialsAddInfo rma);
		
		// Canvas 지붕재추가 Setting 수정
		public void updateRoofMaterialsAdd(RoofMaterialsAddInfo rma);
		
		// 지붕면 할당 Setting 등록
		public void insertRoofAllocation(RoofAllocationInfo rai);
			
		// Canvas 지붕재추가 Setting 삭제
		public void deleteRoofMaterialsAdd(String objectNo, Integer planNo);
  
}